package myapp;

import org.orm.PersistentException;
import org.orm.PersistentTransaction;

import petshop.Pet;

public class MyPetShop {
	private static final int ROW_COUNT = 100;
	
	public void createPets() throws PersistentException {
		PersistentTransaction t = petshop.PetShopPersistentManager.instance().getSession().beginTransaction();
		try {
			petshop.Pet lPet = petshop.PetFactory.createPet();
			lPet.setSource("England");
			lPet.setType("Dog [Shih Tzu]");
			lPet.save();
			
			lPet = petshop.PetFactory.createPet();
			lPet.setSource("China");
			lPet.setType("Dog [Golden Retriever]");
			lPet.save();
			
			lPet = petshop.PetFactory.createPet();
			lPet.setSource("England");
			lPet.setType("Dog [Labrador Retriever]");
			lPet.save();
			
			t.commit();
		}
		catch (Exception e) {
			t.rollback();
		}
		
	}
	
	public void retrievePets() throws PersistentException {
		System.out.println("Here are the pets...");
		petshop.Pet[] lPets = petshop.PetFactory.listPetByQuery(null, null);
		int length = Math.min(lPets.length, ROW_COUNT);
		for (int i = 0; i < length; i++) {
			Pet lPet = lPets[i];
			System.out.println(lPets[i].getId() + ". " + lPet.getType() + "; Source: " + lPet.getSource());
		}
		System.out.println(length + " record(s) retrieved.");
	}
	
	public static void main(String[] args) {
		try {
			MyPetShop lMyPetShop = new MyPetShop();
			try {
				lMyPetShop.createPets();
				lMyPetShop.retrievePets();
			}
			finally {
				petshop.PetShopPersistentManager.instance().disposePersistentManager();
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

}
