/**
 * Licensee: VP Development
 * License Type: Purchased
 */
package ormsamples;

import org.orm.*;
public class ListPetShopData {
	private static final int ROW_COUNT = 100;
	
	public void listTestData() throws PersistentException {
		System.out.println("Listing Pet...");
		petshop.Pet[] petshopPets = petshop.PetFactory.listPetByQuery(null, null);
		int length = Math.min(petshopPets.length, ROW_COUNT);
		for (int i = 0; i < length; i++) {
			System.out.println(petshopPets[i]);
		}
		System.out.println(length + " record(s) retrieved.");
		
		System.out.println("Listing Transaction...");
		petshop.Transaction[] petshopTransactions = petshop.TransactionFactory.listTransactionByQuery(null, null);
		length = Math.min(petshopTransactions.length, ROW_COUNT);
		for (int i = 0; i < length; i++) {
			System.out.println(petshopTransactions[i]);
		}
		System.out.println(length + " record(s) retrieved.");
		
		System.out.println("Listing Customer...");
		petshop.Customer[] petshopCustomers = petshop.CustomerFactory.listCustomerByQuery(null, null);
		length = Math.min(petshopCustomers.length, ROW_COUNT);
		for (int i = 0; i < length; i++) {
			System.out.println(petshopCustomers[i]);
		}
		System.out.println(length + " record(s) retrieved.");
		
		System.out.println("Listing Staff...");
		petshop.Staff[] petshopStaffs = petshop.StaffFactory.listStaffByQuery(null, null);
		length = Math.min(petshopStaffs.length, ROW_COUNT);
		for (int i = 0; i < length; i++) {
			System.out.println(petshopStaffs[i]);
		}
		System.out.println(length + " record(s) retrieved.");
		
	}
	
	public void listByCriteria() throws PersistentException  {
		System.out.println("Listing Pet by Criteria...");
		petshop.PetCriteria petCriteria = new petshop.PetCriteria();
		// Please uncomment the follow line and fill in parameter(s) 
		//petCriteria.id.eq();
		petCriteria.setMaxResults(ROW_COUNT);
		petshop.Pet[] petshopPets = petCriteria.listPet();
		int length =petshopPets== null ? 0 : Math.min(petshopPets.length, ROW_COUNT); 
		for (int i = 0; i < length; i++) {
			 System.out.println(petshopPets[i]);
		}
		System.out.println(length + " Pet record(s) retrieved."); 
		
		System.out.println("Listing Transaction by Criteria...");
		petshop.TransactionCriteria transactionCriteria = new petshop.TransactionCriteria();
		// Please uncomment the follow line and fill in parameter(s) 
		//transactionCriteria.ID.eq();
		transactionCriteria.setMaxResults(ROW_COUNT);
		petshop.Transaction[] petshopTransactions = transactionCriteria.listTransaction();
		length =petshopTransactions== null ? 0 : Math.min(petshopTransactions.length, ROW_COUNT); 
		for (int i = 0; i < length; i++) {
			 System.out.println(petshopTransactions[i]);
		}
		System.out.println(length + " Transaction record(s) retrieved."); 
		
		System.out.println("Listing Customer by Criteria...");
		petshop.CustomerCriteria customerCriteria = new petshop.CustomerCriteria();
		// Please uncomment the follow line and fill in parameter(s) 
		//customerCriteria.ID.eq();
		customerCriteria.setMaxResults(ROW_COUNT);
		petshop.Customer[] petshopCustomers = customerCriteria.listCustomer();
		length =petshopCustomers== null ? 0 : Math.min(petshopCustomers.length, ROW_COUNT); 
		for (int i = 0; i < length; i++) {
			 System.out.println(petshopCustomers[i]);
		}
		System.out.println(length + " Customer record(s) retrieved."); 
		
		System.out.println("Listing Staff by Criteria...");
		petshop.StaffCriteria staffCriteria = new petshop.StaffCriteria();
		// Please uncomment the follow line and fill in parameter(s) 
		//staffCriteria.ID.eq();
		staffCriteria.setMaxResults(ROW_COUNT);
		petshop.Staff[] petshopStaffs = staffCriteria.listStaff();
		length =petshopStaffs== null ? 0 : Math.min(petshopStaffs.length, ROW_COUNT); 
		for (int i = 0; i < length; i++) {
			 System.out.println(petshopStaffs[i]);
		}
		System.out.println(length + " Staff record(s) retrieved."); 
		
	}
	
	public static void main(String[] args) {
		try {
			ListPetShopData listPetShopData = new ListPetShopData();
			try {
				listPetShopData.listTestData();
				//listPetShopData.listByCriteria();
			}
			finally {
				petshop.PetShopPersistentManager.instance().disposePersistentManager();
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}
