/**
 * Licensee: VP Development
 * License Type: Purchased
 */
package ormsamples;

import org.orm.*;
public class RetrieveAndUpdatePetShopData {
	public void retrieveAndUpdateTestData() throws PersistentException {
		PersistentTransaction t = petshop.PetShopPersistentManager.instance().getSession().beginTransaction();
		try {
			petshop.Pet lpetshopPet = petshop.PetFactory.loadPetByQuery(null, null);
			// Update the properties of the persistent object
			lpetshopPet.save();
			petshop.Transaction lpetshopTransaction = petshop.TransactionFactory.loadTransactionByQuery(null, null);
			// Update the properties of the persistent object
			lpetshopTransaction.save();
			petshop.Customer lpetshopCustomer = petshop.CustomerFactory.loadCustomerByQuery(null, null);
			// Update the properties of the persistent object
			lpetshopCustomer.save();
			petshop.Staff lpetshopStaff = petshop.StaffFactory.loadStaffByQuery(null, null);
			// Update the properties of the persistent object
			lpetshopStaff.save();
			t.commit();
		}
		catch (Exception e) {
			t.rollback();
		}
		
	}
	
	public void retrieveByCriteria() throws PersistentException {
		System.out.println("Retrieving Pet by PetCriteria");
		petshop.PetCriteria petCriteria = new petshop.PetCriteria();
		// Please uncomment the follow line and fill in parameter(s)
		//petCriteria.id.eq();
		System.out.println(petCriteria.uniquePet());
		
		System.out.println("Retrieving Transaction by TransactionCriteria");
		petshop.TransactionCriteria transactionCriteria = new petshop.TransactionCriteria();
		// Please uncomment the follow line and fill in parameter(s)
		//transactionCriteria.ID.eq();
		System.out.println(transactionCriteria.uniqueTransaction());
		
		System.out.println("Retrieving Customer by CustomerCriteria");
		petshop.CustomerCriteria customerCriteria = new petshop.CustomerCriteria();
		// Please uncomment the follow line and fill in parameter(s)
		//customerCriteria.ID.eq();
		System.out.println(customerCriteria.uniqueCustomer());
		
		System.out.println("Retrieving Staff by StaffCriteria");
		petshop.StaffCriteria staffCriteria = new petshop.StaffCriteria();
		// Please uncomment the follow line and fill in parameter(s)
		//staffCriteria.ID.eq();
		System.out.println(staffCriteria.uniqueStaff());
		
	}
	
	
	public static void main(String[] args) {
		try {
			RetrieveAndUpdatePetShopData retrieveAndUpdatePetShopData = new RetrieveAndUpdatePetShopData();
			try {
				retrieveAndUpdatePetShopData.retrieveAndUpdateTestData();
				//retrieveAndUpdatePetShopData.retrieveByCriteria();
			}
			finally {
				petshop.PetShopPersistentManager.instance().disposePersistentManager();
			}
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}
